<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='Input Error Example' :maxState="1")
  template(v-slot:description)
    h5 This is an Input Error and Warnging example
    p Click on the #[em animate] to toggle edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Methods:]
      ul
        +prop("checkValidity(): Promise<boolean>") test the component validity and update/display errors
        +prop("addError(id: string, message: string): void") add an error
        +prop("removeError(id: string): void") remove an error
        +prop("addWarning(id: string, message: string): void") add a warning
        +prop("removeWarning(id: string): void") remove a warning

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center
        BaseInput.col-12.col-sm-6(
          pattern="[0-9]*" required="1"
          ref='valid' :inEdit='state == 0' value=''
          @edit='$refs.valid.checkValidity()'
          @edit-request='state = 0')

        BaseInput.col-12.col-sm-6(
          ref='warn' :inEdit='state == 0' value=''
          @edit='$refs.warn.addWarning(1, "This is a custom warning.")'
          @edit-request='state = 0')
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleInputError",
  components: { Example }
};

</script>
